package com.mvc.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.math.BigDecimal;
import java.util.Date;

//远程配置model
public class TaskRemoteCfgModel extends TaskRemoteCfgExtendModel implements java.io.Serializable{
    /**
     *
     */
    private Integer id;

    /**
     * 实际主键
     */
    private String taskId;

    /**
     * DEVICE_SN 设备SN
     */
    private String deviceSn;

    /**
     * 遥测站点
     */
    private String stationCode;

    /**
     * 当前水表读数
     */
    private Double lastVal;

    /**
     *  IP1 例:49.232.111.64:12323
     */
    private String ip1Port1;

    /**
     * IP2
     */
    private String ip2Port2;

    /**
     * IP3
     */
    private String ip3Port3;

    /**
     * IP4
     */
    private String ip4Port4;

    /**
     * 紧急域名及端口
     */
    private String domainNamePort;

    /**
     * 水表类型(安装口径)
     */
    private Integer dnType;

    /**
     * 数字个数
     */
    private Integer digitNum;

    /**
     * 单位类型
     */
    private Integer unitType;

    /**
     * 安装方向(0:方向一致 1:方向相反)
     */
    private String setupDir;

    /**
     * 采样时间间隔(分)
     */
    private Integer sampleInterval;

    /**
     * 字轮个数
     */
    private Integer wheelNum;

    /**
     * 发送时间间隔(分)
     */
    private Integer upInterval;

    /**
     * 低温采样时间间隔(时)
     */
    private Integer ltSampleInterval;

    /**
     * 最低工作温度
     */
    private Integer workLt;

    /**
     * 最高工作温度
     */
    private Integer workHt;

    /**
     * 低电压报警临界值(V)
     */
    private BigDecimal batAlarmVt;

    /**
     * 剩余电量报警临界值(百分比)
     */
    private Integer batAlarmSoc;

    /**
     * 强制拉回的概率阈值
     */
    private Integer aiPullBack;

    /**
     * 识别可信度的概率阈值
     */
    private Integer aiPass;

    /**
     * 单独每一位概率阈值
     */
    private Integer aiSinglePass;

    /**
     * CPU版本
     */
    private String cpuVersion;

    /**
     * 通讯版本
     */
    private String tongxunVersion;

    /**
     * 天线类型(0内置,1外置)
     */
    private String tianxianType;

    /**
     * 通讯方式(0:NB,1:CAT1)
     */
    private String tongxunWay;

    /**
     * 网络注册超时时间（秒）
     */
    private Integer networkRegTimeout;

    /**
     * 背光屏闪频率(HZ)
     */
    private Integer pwmHz;

    /**
     * PWM占空比
     */
    private Integer pwmDuty;

    /**
     * 摄像头闪光灯亮度最低值
     */
    private Integer flashBrightMin;

    /**
     * 摄像头闪光灯亮度最高值
     */
    private Integer flashBrightMax;

    /**
     * 安装年份
     */
    private String setupYear;

    /**
     * 整图上传周规则（1111111）
     */
    private String upWholeImgWeekRule;

    /**
     * IP1启用扩展协议
     */
    private String ip1ExpandOn;

    /**
     * 创建人
     */
    private String createMan;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8",locale="zh")
    private Date createTime;

    /**
     * 任务完成标志
     */
    private String finishedFlag;

    /**
     * 任务完成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8",locale="zh")
    private Date finishedTime;

    /**
     * 字体样式(0黑底白字,1白底黑字)
     */
    private String meterFontStyle;

    /**
     * 系统审核标记(1代表系统对比通过)
     */
    private String systemReviewFlag;

    /**
     * 设备类型(1水表,2压力表,3燃气表)(不是配置项)
     */
    private String deviceType;

    /**
     * 压力表量程范围下限(可以负数)
     */
    private BigDecimal pgRangeMin;

    /**
     * 压力表量程范围上限(可以负数)
     */
    private BigDecimal pgRangeMax;

    /**
     * 压力表数据精度类型(0-4)(代表小数位数)
     */
    private Integer pgPrecisionType;

    /**
     * 压力表系统校正参数（可以负数
     */
    private BigDecimal pgCorrectvalue;

    /**
     * 压力表坐标点赋值
     */
    private String pgManualConfig;

    /**
     * 压力表图片是否描点
     */
    private String pgIsDebug;

    /**
     * 压力表目标区域历史数据初始化
     */
    private String pgInitTargetRegion;

    /**
     * 是否运行串口输出日志信息
     */
    private String isprintcomlog;

    /**
     * WDT计数清零
     */
    private String isresetwdt;

    /**
     * 电池计时清零
     */
    private String isresetbat;

    /**
     * MCU工作次数清零
     */
    private String isrestmcu;

    /**
     * 手动触发发送大图开关
     */
    private String wiTaskManwakeupFlag;

    /**
     * 月初月底发送大图开关
     */
    private String wiTaskMonthFlag;

    /**
     * 按指定日期发送大图
     */
    private String wiTaskSpecdateFlag;

    /**
     * 日志上传规则
     */
    private String logUploadRules;

    /**
     * 是否上传上一次 MCU通讯错误的日志
     */
    private String uploadLastFailLogFlag;

    /**
     * 手动触发发送本次工作日志
     */
    private String logTaskManwakeupFlag;

    /**
     * 是否是批量任务(批量任务前台不展示,过渡使用)
     */
    private String batchFlag;

    /**
     * 压力表人工配置坐标点的优先级
     */
    private String pgManualConfigLevel;

    /**
     * 上传的图片类型(=1 时BMP565彩色图>1 时JPG彩色图(用质量的字节数来代替类型)取值范围1-20000默认出场配置841)
     */
    private Integer imageType;

    /**
     * 图片像素外扩(取值范围0-30)
     */
    private Integer imageMargin;

    /**
     * 人工配置值启用标志、旋转角度、数字区域坐标
     */
    private String imageConfig;

    /**
     * 是否上传模型输出结果（服务器侧后处理需要）
     */
    private String uploadCnnFlag;

    /**
     * 对CNN输出进行解码时，使用的NMS阈值
     */
    private Integer nmsThreshold;

    /**
     * 是否使用检测到的大框来排除野数字
     */
    private String isUseDetectedNum;

    /**
     * 指定坐标区域上报的图片类型(1jpg,2bmp)(服务器识别专用)
     */
    private String regionImageType;

    /**
     * 要上报的JPG的压缩类型(0-9)值越大，压缩率越高(服务器识别专用)
     */
    private String jpgCompressType;

    /**
     * RS485使能标志(0关闭,1打开)
     */
    private String rsPortEnable;

    /**
     * RS485波特率
     */
    private Integer rsBandRate;

    /**
     * RS485校验和类型
     */
    private Integer rsChecksumType;

    /**
     * RS485停止位
     */
    private Integer rsStopbitType;

    /**
     * 模块ID(01-F7)
     */
    private String moduleId;

    /**
     * 模块名称(2字节16进制数)
     */
    private String moduleName;

    /**
     * 图片亮度(默认1.0,1位整数1位小数)
     */
    private Double imageBrightness;

    /**
     * 摄像头拍照时 的合成类型(1:一次拍照成形2:上下拼图3:左右拼图)
     */
    private Integer imageSynthesisType;

    /**
     * 每天第一条数据的发送时间
     */
    private Integer firsttxntimeDaily;

    /**
     * 上传图片大小
     */
    private Integer uploadImageSize;

    /**
     * AI输出测试(标注)图开关
     */
    private String enableAiImageProcess;

    /**
     * 免配置是否启用人工配置参数(1启用)
     */
    private String enableNoconfigManualConfig;

    /**
     * 禁用AI识别(1禁用)
     */
    private String disableAiRecognition;

    /**
     * 最大离散间隔(小时)
     */
    private Integer maxDiscreteDuration;

    /**
     * 启用离散标志
     */
    private String enableDiscrete;

    /**
     * 启用智慧院平台
     */
    private String enableSendBjzhy;

    /**
     * 启用北京自来水平台
     */
    private String enableSendBjzls;

    /**
     * 水表地址（北京自来水）
     */
    private String bjzlsMeterAddress;

    /**
     * 启用AES加密（1加密）
     */
    private String bjzlsEnableAes;

    /**
     * 数据恢复
     */
    private String isResetData;

    /**
     * 是否上传红色指针部分(针对2N1版本)
     */
    private String isUploadRedPointer;

    /**
     * 北京自来水平台密钥类型(0测试,1正式)
     */
    private String bjzlsSecretKeyType;

    /**
     * 免配置版本安装角度
     */
    private Integer noconfigSetupAngle;

    /**
     * 数字位置(1上2下)
     */
    private String digitalPosition;

    /**
     * 指针水表放大倍率(0-9.9)
     */
    private Float aiPointerZoomFactor;

    /**
     * 数字水表放大倍率(0-9.9)
     */
    private Float aiDigitalZoomFactor;

    /**
     * IOT平台类型(0:非IOT,1:OneNet,2:AEP)
     */
    private String iotType;

    /**
     * IOT平台中的deviceId
     */
    private String iotDeviceId;

    /**
     * IOT平台的任务ID
     */
    private String iotTaskId;

    /**
     * IOT平台的任务状态
     */
    private String iotTaskStatus;

    /**
     * imei
     */
    private String iotImei;

    /**
     * IOT平台的任务更新时间
     */
    private Date iotTaskUpdateTime;

    /**
     * 专项配置表主键
     */
    private Integer specialCfgId;

    private Integer page;//页码

    private Integer rows;//每页条数

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8",locale="zh")
    private Date createTimeStart;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone="GMT+8",locale="zh")
    private Date createTimeEnd;


    //前台显示站名 2022-07-13 guozhao
    private String stationName;

    //下面6个属性是为了前台转换
    private Integer originx;
    private Integer originy;
    private Integer endx;
    private Integer endy;
    private Integer centerx;
    private Integer centery;

    //前台表格展示
    private String pgManualConfigCol;

    //对wiTaskSpecdateFlag指定日期发大图前台进行分割转换
    private String wiTaskSpecdateEnable;//使能开关,0:Disable;1:Enable;
    private String wiTaskSpecdateDate;//指定的开始日期（yyMMdd)
    private Integer wiTaskSpecdateDays;//天数
    private Integer wiTaskSpecdateTimes;//频次

    //对日志上传规则为前台进行分割转换
    private String logUploadEnable;//使能开关,0:Disable;1:Enable;
    private String logUploadDate;//指定的开始日期（yyMMdd)
    private Integer logUploadDays;//天数
    private Integer logUploadTimes;//频次
    private Integer logUploadMcuLevel;//CU主程序上传级别(0:不上传； 1:精简信息； 2:全部信息)
    private Integer logUploadAiLevel;//AI算法上传级别(0:不上传；1：精简信息；2:全部信息)

    //imageConfig--前台的分割转换
    private String imageConfigFlag;//使能开关,1启用
    private Integer imageLeanAngle;//旋转角度
    private Integer imageNumRegionXMin;//数字区域-xMin
    private Integer imageNumRegionYMin;//数字区域-yMin
    private Integer imageNumRegionXMax;//数字区域-xMax
    private Integer imageNumRegionYMax;//数字区域-yMax

    private DeviceAccModel deviceAccModel;//设备台账对象 2024-10-16 guozhao
    private Integer IotCommandType;//IOT命令类型(1发送,2取消)

    //配置类型(1:常规配置;2:全配置模式)
    //添加此类型是为了考虑服务侧配置又需要配置间隔等项的配置 2025-07-23 guozhao
    private Integer cfgType;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public Double getLastVal() {
        return lastVal;
    }

    public void setLastVal(Double lastVal) {
        this.lastVal = lastVal;
    }

    public String getIp1Port1() {
        return ip1Port1;
    }

    public void setIp1Port1(String ip1Port1) {
        this.ip1Port1 = ip1Port1;
    }

    public String getIp2Port2() {
        return ip2Port2;
    }

    public void setIp2Port2(String ip2Port2) {
        this.ip2Port2 = ip2Port2;
    }

    public String getIp3Port3() {
        return ip3Port3;
    }

    public void setIp3Port3(String ip3Port3) {
        this.ip3Port3 = ip3Port3;
    }

    public String getIp4Port4() {
        return ip4Port4;
    }

    public void setIp4Port4(String ip4Port4) {
        this.ip4Port4 = ip4Port4;
    }

    public String getDomainNamePort() {
        return domainNamePort;
    }

    public void setDomainNamePort(String domainNamePort) {
        this.domainNamePort = domainNamePort;
    }

    public Integer getDnType() {
        return dnType;
    }

    public void setDnType(Integer dnType) {
        this.dnType = dnType;
    }

    public Integer getDigitNum() {
        return digitNum;
    }

    public void setDigitNum(Integer digitNum) {
        this.digitNum = digitNum;
    }

    public Integer getUnitType() {
        return unitType;
    }

    public void setUnitType(Integer unitType) {
        this.unitType = unitType;
    }

    public String getSetupDir() {
        return setupDir;
    }

    public void setSetupDir(String setupDir) {
        this.setupDir = setupDir;
    }

    public Integer getSampleInterval() {
        return sampleInterval;
    }

    public void setSampleInterval(Integer sampleInterval) {
        this.sampleInterval = sampleInterval;
    }

    public Integer getWheelNum() {
        return wheelNum;
    }

    public void setWheelNum(Integer wheelNum) {
        this.wheelNum = wheelNum;
    }

    public Integer getUpInterval() {
        return upInterval;
    }

    public void setUpInterval(Integer upInterval) {
        this.upInterval = upInterval;
    }

    public Integer getLtSampleInterval() {
        return ltSampleInterval;
    }

    public void setLtSampleInterval(Integer ltSampleInterval) {
        this.ltSampleInterval = ltSampleInterval;
    }

    public Integer getWorkLt() {
        return workLt;
    }

    public void setWorkLt(Integer workLt) {
        this.workLt = workLt;
    }

    public Integer getWorkHt() {
        return workHt;
    }

    public void setWorkHt(Integer workHt) {
        this.workHt = workHt;
    }

    public BigDecimal getBatAlarmVt() {
        return batAlarmVt;
    }

    public void setBatAlarmVt(BigDecimal batAlarmVt) {
        this.batAlarmVt = batAlarmVt;
    }

    public Integer getBatAlarmSoc() {
        return batAlarmSoc;
    }

    public void setBatAlarmSoc(Integer batAlarmSoc) {
        this.batAlarmSoc = batAlarmSoc;
    }

    public Integer getAiPullBack() {
        return aiPullBack;
    }

    public void setAiPullBack(Integer aiPullBack) {
        this.aiPullBack = aiPullBack;
    }

    public Integer getAiPass() {
        return aiPass;
    }

    public void setAiPass(Integer aiPass) {
        this.aiPass = aiPass;
    }

    public Integer getAiSinglePass() {
        return aiSinglePass;
    }

    public void setAiSinglePass(Integer aiSinglePass) {
        this.aiSinglePass = aiSinglePass;
    }

    public String getCpuVersion() {
        return cpuVersion;
    }

    public void setCpuVersion(String cpuVersion) {
        this.cpuVersion = cpuVersion;
    }

    public String getTongxunVersion() {
        return tongxunVersion;
    }

    public void setTongxunVersion(String tongxunVersion) {
        this.tongxunVersion = tongxunVersion;
    }

    public String getTianxianType() {
        return tianxianType;
    }

    public void setTianxianType(String tianxianType) {
        this.tianxianType = tianxianType;
    }

    public String getTongxunWay() {
        return tongxunWay;
    }

    public void setTongxunWay(String tongxunWay) {
        this.tongxunWay = tongxunWay;
    }

    public Integer getNetworkRegTimeout() {
        return networkRegTimeout;
    }

    public void setNetworkRegTimeout(Integer networkRegTimeout) {
        this.networkRegTimeout = networkRegTimeout;
    }

    public Integer getPwmHz() {
        return pwmHz;
    }

    public void setPwmHz(Integer pwmHz) {
        this.pwmHz = pwmHz;
    }

    public Integer getPwmDuty() {
        return pwmDuty;
    }

    public void setPwmDuty(Integer pwmDuty) {
        this.pwmDuty = pwmDuty;
    }

    public Integer getFlashBrightMin() {
        return flashBrightMin;
    }

    public void setFlashBrightMin(Integer flashBrightMin) {
        this.flashBrightMin = flashBrightMin;
    }

    public Integer getFlashBrightMax() {
        return flashBrightMax;
    }

    public void setFlashBrightMax(Integer flashBrightMax) {
        this.flashBrightMax = flashBrightMax;
    }

    public String getSetupYear() {
        return setupYear;
    }

    public void setSetupYear(String setupYear) {
        this.setupYear = setupYear;
    }

    public String getUpWholeImgWeekRule() {
        return upWholeImgWeekRule;
    }

    public void setUpWholeImgWeekRule(String upWholeImgWeekRule) {
        this.upWholeImgWeekRule = upWholeImgWeekRule;
    }

    public String getIp1ExpandOn() {
        return ip1ExpandOn;
    }

    public void setIp1ExpandOn(String ip1ExpandOn) {
        this.ip1ExpandOn = ip1ExpandOn;
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getFinishedFlag() {
        return finishedFlag;
    }

    public void setFinishedFlag(String finishedFlag) {
        this.finishedFlag = finishedFlag;
    }

    public Date getFinishedTime() {
        return finishedTime;
    }

    public void setFinishedTime(Date finishedTime) {
        this.finishedTime = finishedTime;
    }

    public String getMeterFontStyle() {
        return meterFontStyle;
    }

    public void setMeterFontStyle(String meterFontStyle) {
        this.meterFontStyle = meterFontStyle == null ? null : meterFontStyle.trim();
    }

    public String getPgManualConfigLevel() {
        return pgManualConfigLevel;
    }

    public void setPgManualConfigLevel(String pgManualConfigLevel) {
        this.pgManualConfigLevel = pgManualConfigLevel == null ? null : pgManualConfigLevel.trim();
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getRows() {
        return rows;
    }

    public void setRows(Integer rows) {
        this.rows = rows;
    }

    public Date getCreateTimeStart() {
        return createTimeStart;
    }

    public void setCreateTimeStart(Date createTimeStart) {
        this.createTimeStart = createTimeStart;
    }

    public Date getCreateTimeEnd() {
        return createTimeEnd;
    }

    public void setCreateTimeEnd(Date createTimeEnd) {
        this.createTimeEnd = createTimeEnd;
    }

    public String getIsprintcomlog() {
        return isprintcomlog;
    }

    public void setIsprintcomlog(String isprintcomlog) {
        this.isprintcomlog = isprintcomlog;
    }

    public String getIsresetwdt() {
        return isresetwdt;
    }

    public void setIsresetwdt(String isresetwdt) {
        this.isresetwdt = isresetwdt;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType == null ? null : deviceType.trim();
    }

    public BigDecimal getPgRangeMin() {
        return pgRangeMin;
    }

    public void setPgRangeMin(BigDecimal pgRangeMin) {
        this.pgRangeMin = pgRangeMin;
    }

    public BigDecimal getPgRangeMax() {
        return pgRangeMax;
    }

    public void setPgRangeMax(BigDecimal pgRangeMax) {
        this.pgRangeMax = pgRangeMax;
    }

    public Integer getPgPrecisionType() {
        return pgPrecisionType;
    }

    public void setPgPrecisionType(Integer pgPrecisionType) {
        this.pgPrecisionType = pgPrecisionType;
    }

    public BigDecimal getPgCorrectvalue() {
        return pgCorrectvalue;
    }

    public void setPgCorrectvalue(BigDecimal pgCorrectvalue) {
        this.pgCorrectvalue = pgCorrectvalue;
    }

    public String getPgManualConfig() {
        return pgManualConfig;
    }

    public void setPgManualConfig(String pgManualConfig) {
        this.pgManualConfig = pgManualConfig == null ? null : pgManualConfig.trim();
    }

    public String getPgIsDebug() {
        return pgIsDebug;
    }

    public void setPgIsDebug(String pgIsDebug) {
        this.pgIsDebug = pgIsDebug;
    }

    public String getPgInitTargetRegion() {
        return pgInitTargetRegion;
    }

    public void setPgInitTargetRegion(String pgInitTargetRegion) {
        this.pgInitTargetRegion = pgInitTargetRegion;
    }

    public Integer getOriginx() {
        return originx;
    }

    public void setOriginx(Integer originx) {
        this.originx = originx;
    }

    public Integer getOriginy() {
        return originy;
    }

    public void setOriginy(Integer originy) {
        this.originy = originy;
    }

    public Integer getEndx() {
        return endx;
    }

    public void setEndx(Integer endx) {
        this.endx = endx;
    }

    public Integer getEndy() {
        return endy;
    }

    public void setEndy(Integer endy) {
        this.endy = endy;
    }

    public Integer getCenterx() {
        return centerx;
    }

    public void setCenterx(Integer centerx) {
        this.centerx = centerx;
    }

    public Integer getCentery() {
        return centery;
    }

    public void setCentery(Integer centery) {
        this.centery = centery;
    }

    public String getPgManualConfigCol() {
        return pgManualConfigCol;
    }

    public void setPgManualConfigCol(String pgManualConfigCol) {
        this.pgManualConfigCol = pgManualConfigCol;
    }

    public String getIsresetbat() {
        return isresetbat;
    }

    public void setIsresetbat(String isresetbat) {
        this.isresetbat = isresetbat == null ? null : isresetbat.trim();
    }

    public String getIsrestmcu() {
        return isrestmcu;
    }

    public void setIsrestmcu(String isrestmcu) {
        this.isrestmcu = isrestmcu == null ? null : isrestmcu.trim();
    }

    public String getWiTaskManwakeupFlag() {
        return wiTaskManwakeupFlag;
    }

    public void setWiTaskManwakeupFlag(String wiTaskManwakeupFlag) {
        this.wiTaskManwakeupFlag = wiTaskManwakeupFlag == null ? null : wiTaskManwakeupFlag.trim();
    }

    public String getWiTaskMonthFlag() {
        return wiTaskMonthFlag;
    }

    public void setWiTaskMonthFlag(String wiTaskMonthFlag) {
        this.wiTaskMonthFlag = wiTaskMonthFlag == null ? null : wiTaskMonthFlag.trim();
    }

    public String getWiTaskSpecdateFlag() {
        return wiTaskSpecdateFlag;
    }

    public void setWiTaskSpecdateFlag(String wiTaskSpecdateFlag) {
        this.wiTaskSpecdateFlag = wiTaskSpecdateFlag == null ? null : wiTaskSpecdateFlag.trim();
    }

    public String getLogUploadRules() {
        return logUploadRules;
    }

    public void setLogUploadRules(String logUploadRules) {
        this.logUploadRules = logUploadRules == null ? null : logUploadRules.trim();
    }

    public String getUploadLastFailLogFlag() {
        return uploadLastFailLogFlag;
    }

    public void setUploadLastFailLogFlag(String uploadLastFailLogFlag) {
        this.uploadLastFailLogFlag = uploadLastFailLogFlag == null ? null : uploadLastFailLogFlag.trim();
    }

    public String getLogTaskManwakeupFlag() {
        return logTaskManwakeupFlag;
    }

    public void setLogTaskManwakeupFlag(String logTaskManwakeupFlag) {
        this.logTaskManwakeupFlag = logTaskManwakeupFlag == null ? null : logTaskManwakeupFlag.trim();
    }

    public String getWiTaskSpecdateEnable() {
        return wiTaskSpecdateEnable;
    }

    public void setWiTaskSpecdateEnable(String wiTaskSpecdateEnable) {
        this.wiTaskSpecdateEnable = wiTaskSpecdateEnable;
    }

    public String getWiTaskSpecdateDate() {
        return wiTaskSpecdateDate;
    }

    public void setWiTaskSpecdateDate(String wiTaskSpecdateDate) {
        this.wiTaskSpecdateDate = wiTaskSpecdateDate;
    }

    public Integer getWiTaskSpecdateDays() {
        return wiTaskSpecdateDays;
    }

    public void setWiTaskSpecdateDays(Integer wiTaskSpecdateDays) {
        this.wiTaskSpecdateDays = wiTaskSpecdateDays;
    }

    public Integer getWiTaskSpecdateTimes() {
        return wiTaskSpecdateTimes;
    }

    public void setWiTaskSpecdateTimes(Integer wiTaskSpecdateTimes) {
        this.wiTaskSpecdateTimes = wiTaskSpecdateTimes;
    }

    public String getLogUploadEnable() {
        return logUploadEnable;
    }

    public void setLogUploadEnable(String logUploadEnable) {
        this.logUploadEnable = logUploadEnable;
    }

    public String getLogUploadDate() {
        return logUploadDate;
    }

    public void setLogUploadDate(String logUploadDate) {
        this.logUploadDate = logUploadDate;
    }

    public Integer getLogUploadDays() {
        return logUploadDays;
    }

    public void setLogUploadDays(Integer logUploadDays) {
        this.logUploadDays = logUploadDays;
    }

    public Integer getLogUploadTimes() {
        return logUploadTimes;
    }

    public void setLogUploadTimes(Integer logUploadTimes) {
        this.logUploadTimes = logUploadTimes;
    }

    public Integer getLogUploadMcuLevel() {
        return logUploadMcuLevel;
    }

    public void setLogUploadMcuLevel(Integer logUploadMcuLevel) {
        this.logUploadMcuLevel = logUploadMcuLevel;
    }

    public Integer getLogUploadAiLevel() {
        return logUploadAiLevel;
    }

    public void setLogUploadAiLevel(Integer logUploadAiLevel) {
        this.logUploadAiLevel = logUploadAiLevel;
    }

    public String getBatchFlag() {
        return batchFlag;
    }

    public void setBatchFlag(String batchFlag) {
        this.batchFlag = batchFlag == null ? null : batchFlag.trim();
    }

    public Integer getImageType() {
        return imageType;
    }

    public void setImageType(Integer imageType) {
        this.imageType = imageType;
    }

    public Integer getImageMargin() {
        return imageMargin;
    }

    public void setImageMargin(Integer imageMargin) {
        this.imageMargin = imageMargin;
    }

    public String getImageConfig() {
        return imageConfig;
    }

    public void setImageConfig(String imageConfig) {
        this.imageConfig = imageConfig == null ? null : imageConfig.trim();
    }

    public String getUploadCnnFlag() {
        return uploadCnnFlag;
    }

    public void setUploadCnnFlag(String uploadCnnFlag) {
        this.uploadCnnFlag = uploadCnnFlag == null ? null : uploadCnnFlag.trim();
    }

    public Integer getNmsThreshold() {
        return nmsThreshold;
    }

    public void setNmsThreshold(Integer nmsThreshold) {
        this.nmsThreshold = nmsThreshold;
    }

    public String getImageConfigFlag() {
        return imageConfigFlag;
    }

    public void setImageConfigFlag(String imageConfigFlag) {
        this.imageConfigFlag = imageConfigFlag;
    }

    public Integer getImageLeanAngle() {
        return imageLeanAngle;
    }

    public void setImageLeanAngle(Integer imageLeanAngle) {
        this.imageLeanAngle = imageLeanAngle;
    }

    public Integer getImageNumRegionXMin() {
        return imageNumRegionXMin;
    }

    public void setImageNumRegionXMin(Integer imageNumRegionXMin) {
        this.imageNumRegionXMin = imageNumRegionXMin;
    }

    public Integer getImageNumRegionYMin() {
        return imageNumRegionYMin;
    }

    public void setImageNumRegionYMin(Integer imageNumRegionYMin) {
        this.imageNumRegionYMin = imageNumRegionYMin;
    }

    public Integer getImageNumRegionXMax() {
        return imageNumRegionXMax;
    }

    public void setImageNumRegionXMax(Integer imageNumRegionXMax) {
        this.imageNumRegionXMax = imageNumRegionXMax;
    }

    public Integer getImageNumRegionYMax() {
        return imageNumRegionYMax;
    }

    public void setImageNumRegionYMax(Integer imageNumRegionYMax) {
        this.imageNumRegionYMax = imageNumRegionYMax;
    }

    public String getIsUseDetectedNum() {
        return isUseDetectedNum;
    }

    public void setIsUseDetectedNum(String isUseDetectedNum) {
        this.isUseDetectedNum = isUseDetectedNum == null ? null : isUseDetectedNum.trim();
    }

    public String getRegionImageType() {
        return regionImageType;
    }

    public void setRegionImageType(String regionImageType) {
        this.regionImageType = regionImageType == null ? null : regionImageType.trim();
    }

    public String getJpgCompressType() {
        return jpgCompressType;
    }

    public void setJpgCompressType(String jpgCompressType) {
        this.jpgCompressType = jpgCompressType == null ? null : jpgCompressType.trim();
    }

    public String getRsPortEnable() {
        return rsPortEnable;
    }

    public void setRsPortEnable(String rsPortEnable) {
        this.rsPortEnable = rsPortEnable;
    }

    public Integer getRsBandRate() {
        return rsBandRate;
    }

    public void setRsBandRate(Integer rsBandRate) {
        this.rsBandRate = rsBandRate;
    }

    public Integer getRsChecksumType() {
        return rsChecksumType;
    }

    public void setRsChecksumType(Integer rsChecksumType) {
        this.rsChecksumType = rsChecksumType;
    }

    public Integer getRsStopbitType() {
        return rsStopbitType;
    }

    public void setRsStopbitType(Integer rsStopbitType) {
        this.rsStopbitType = rsStopbitType;
    }

    public String getModuleId() {
        return moduleId;
    }

    public void setModuleId(String moduleId) {
        this.moduleId = moduleId;
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName == null ? null : moduleName.trim();
    }

    public Double getImageBrightness() {
        return imageBrightness;
    }

    public void setImageBrightness(Double imageBrightness) {
        this.imageBrightness = imageBrightness;
    }

    public Integer getImageSynthesisType() {
        return imageSynthesisType;
    }

    public void setImageSynthesisType(Integer imageSynthesisType) {
        this.imageSynthesisType = imageSynthesisType;
    }

    public Integer getFirsttxntimeDaily() {
        return firsttxntimeDaily;
    }

    public void setFirsttxntimeDaily(Integer firsttxntimeDaily) {
        this.firsttxntimeDaily = firsttxntimeDaily;
    }

    public Integer getUploadImageSize() {
        return uploadImageSize;
    }

    public void setUploadImageSize(Integer uploadImageSize) {
        this.uploadImageSize = uploadImageSize;
    }

    public String getEnableAiImageProcess() {
        return enableAiImageProcess;
    }

    public void setEnableAiImageProcess(String enableAiImageProcess) {
        this.enableAiImageProcess = enableAiImageProcess == null ? null : enableAiImageProcess.trim();
    }

    public String getEnableNoconfigManualConfig() {
        return enableNoconfigManualConfig;
    }

    public void setEnableNoconfigManualConfig(String enableNoconfigManualConfig) {
        this.enableNoconfigManualConfig = enableNoconfigManualConfig == null ? null : enableNoconfigManualConfig.trim();
    }

    public String getDisableAiRecognition() {
        return disableAiRecognition;
    }

    public void setDisableAiRecognition(String disableAiRecognition) {
        this.disableAiRecognition = disableAiRecognition == null ? null : disableAiRecognition.trim();
    }

    public Integer getMaxDiscreteDuration() {
        return maxDiscreteDuration;
    }

    public void setMaxDiscreteDuration(Integer maxDiscreteDuration) {
        this.maxDiscreteDuration = maxDiscreteDuration;
    }

    public String getEnableDiscrete() {
        return enableDiscrete;
    }

    public void setEnableDiscrete(String enableDiscrete) {
        this.enableDiscrete = enableDiscrete == null ? null : enableDiscrete.trim();
    }

    public String getEnableSendBjzhy() {
        return enableSendBjzhy;
    }

    public void setEnableSendBjzhy(String enableSendBjzhy) {
        this.enableSendBjzhy = enableSendBjzhy == null ? null : enableSendBjzhy.trim();
    }

    public String getEnableSendBjzls() {
        return enableSendBjzls;
    }

    public void setEnableSendBjzls(String enableSendBjzls) {
        this.enableSendBjzls = enableSendBjzls == null ? null : enableSendBjzls.trim();
    }

    public String getBjzlsMeterAddress() {
        return bjzlsMeterAddress;
    }

    public void setBjzlsMeterAddress(String bjzlsMeterAddress) {
        this.bjzlsMeterAddress = bjzlsMeterAddress == null ? null : bjzlsMeterAddress.trim();
    }

    public String getBjzlsEnableAes() {
        return bjzlsEnableAes;
    }

    public void setBjzlsEnableAes(String bjzlsEnableAes) {
        this.bjzlsEnableAes = bjzlsEnableAes == null ? null : bjzlsEnableAes.trim();
    }

    public String getIsResetData() {
        return isResetData;
    }

    public void setIsResetData(String isResetData) {
        this.isResetData = isResetData == null ? null : isResetData.trim();
    }

    public String getIsUploadRedPointer() {
        return isUploadRedPointer;
    }

    public void setIsUploadRedPointer(String isUploadRedPointer) {
        this.isUploadRedPointer = isUploadRedPointer == null ? null : isUploadRedPointer.trim();
    }

    public String getBjzlsSecretKeyType() {
        return bjzlsSecretKeyType;
    }

    public void setBjzlsSecretKeyType(String bjzlsSecretKeyType) {
        this.bjzlsSecretKeyType = bjzlsSecretKeyType == null ? null : bjzlsSecretKeyType.trim();
    }

    public Integer getNoconfigSetupAngle() {
        return noconfigSetupAngle;
    }

    public void setNoconfigSetupAngle(Integer noconfigSetupAngle) {
        this.noconfigSetupAngle = noconfigSetupAngle;
    }

    public String getDigitalPosition() {
        return digitalPosition;
    }

    public void setDigitalPosition(String digitalPosition) {
        this.digitalPosition = digitalPosition == null ? null : digitalPosition.trim();
    }

    public Float getAiPointerZoomFactor() {
        return aiPointerZoomFactor;
    }

    public void setAiPointerZoomFactor(Float aiPointerZoomFactor) {
        this.aiPointerZoomFactor = aiPointerZoomFactor;
    }

    public Float getAiDigitalZoomFactor() {
        return aiDigitalZoomFactor;
    }

    public void setAiDigitalZoomFactor(Float aiDigitalZoomFactor) {
        this.aiDigitalZoomFactor = aiDigitalZoomFactor;
    }

    public String getIotType() {
        return iotType;
    }

    public void setIotType(String iotType) {
        this.iotType = iotType == null ? null : iotType.trim();
    }

    public String getIotDeviceId() {
        return iotDeviceId;
    }

    public void setIotDeviceId(String iotDeviceId) {
        this.iotDeviceId = iotDeviceId == null ? null : iotDeviceId.trim();
    }

    public String getIotTaskId() {
        return iotTaskId;
    }

    public void setIotTaskId(String iotTaskId) {
        this.iotTaskId = iotTaskId == null ? null : iotTaskId.trim();
    }

    public String getIotTaskStatus() {
        return iotTaskStatus;
    }

    public void setIotTaskStatus(String iotTaskStatus) {
        this.iotTaskStatus = iotTaskStatus == null ? null : iotTaskStatus.trim();
    }

    public String getSystemReviewFlag() {
        return systemReviewFlag;
    }

    public void setSystemReviewFlag(String systemReviewFlag) {
        this.systemReviewFlag = systemReviewFlag;
    }

    public DeviceAccModel getDeviceAccModel() {
        return deviceAccModel;
    }

    public void setDeviceAccModel(DeviceAccModel deviceAccModel) {
        this.deviceAccModel = deviceAccModel;
    }

    public Integer getIotCommandType() {
        return IotCommandType;
    }

    public void setIotCommandType(Integer iotCommandType) {
        IotCommandType = iotCommandType;
    }

    public String getIotImei() {
        return iotImei;
    }

    public void setIotImei(String iotImei) {
        this.iotImei = iotImei == null ? null : iotImei.trim();
    }

    public Date getIotTaskUpdateTime() {
        return iotTaskUpdateTime;
    }

    public void setIotTaskUpdateTime(Date iotTaskUpdateTime) {
        this.iotTaskUpdateTime = iotTaskUpdateTime;
    }

    public Integer getSpecialCfgId() {
        return specialCfgId;
    }

    public void setSpecialCfgId(Integer specialCfgId) {
        this.specialCfgId = specialCfgId;
    }

    public Integer getCfgType() {
        return cfgType;
    }

    public void setCfgType(Integer cfgType) {
        this.cfgType = cfgType;
    }
}
